import React from 'react';
import './style/index.scss';
export declare type AlertType = 'success' | 'info' | 'warning' | 'error';
export interface AlertProps {
    afterClose?: () => void;
    prefixCls?: string;
    className?: string;
    closable?: boolean;
    closeText?: string | React.ReactNode;
    desc?: string;
    icon?: React.ReactNode;
    msg: string;
    showIcon?: boolean;
    style?: React.CSSProperties;
    type?: AlertType;
    onClose?: () => void;
}
declare const Alert: ({ afterClose, className, closable, closeText, desc, icon, msg, prefixCls: customPrefixCls, showIcon, style, type, onClose, }: AlertProps) => JSX.Element | null;
export default Alert;
