"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var renderEmpty_1 = __importDefault(require("./renderEmpty"));
exports.getPrefixCls = function (suffixCls, customizePrefixCls) {
    if (customizePrefixCls)
        return customizePrefixCls;
    return "oa-cuk-" + suffixCls;
};
exports.ConfigContext = react_1.default.createContext({
    // 为每个组件生成带公共前缀的classname
    getPrefixCls: exports.getPrefixCls,
    locale: {
        locale: 'zh-cn',
    },
    renderEmpty: renderEmpty_1.default,
});
exports.ConfigConsumer = exports.ConfigContext.Consumer;
//# sourceMappingURL=index.js.map