/// <reference types="react" />
import dayjs from 'dayjs';
import { TLang } from '../utils/I18n';
export interface IProps {
    type: number;
    langData: TLang;
    current: dayjs.Dayjs;
    onMonthChange: (isAdd: boolean) => void;
    onYearChange: (isAdd: boolean) => void;
    onSelectMonth: () => void;
    onSelectYear: () => void;
}
export default function PanelHeader(props: IProps): JSX.Element;
