/// <reference types="react" />
import { Dayjs } from 'dayjs';
import { IDisableTime, ITimeStep } from '../utils/calculate';
import { TLang } from '../utils/I18n';
interface IProps {
    current: Dayjs;
    langData: TLang;
    onChange: (value: Dayjs) => void;
    disableTime?: IDisableTime;
    timeStep?: ITimeStep;
    largePanel?: boolean;
    showHours?: boolean;
    showMinutes?: boolean;
    showSeconds?: boolean;
}
export default function TimeBody(props: IProps): JSX.Element;
export {};
