import React, { ReactNode } from 'react';
import { menuMode } from './Menu';
export declare const placements: {
    topLeft: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        offset: number[];
    };
    bottomLeft: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        offset: number[];
    };
    leftTop: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        offset: number[];
    };
    rightTop: {
        points: string[];
        overflow: {
            adjustX: number;
            adjustY: number;
        };
        offset: number[];
    };
};
interface SubMenuProps {
    title: any;
    icon: ReactNode;
    renderItem: (item: ReactNode, i: number, index: number) => ReactNode;
    index: number;
    open: boolean;
    onTitleClick: () => any;
    onSelect: () => any;
    mode: menuMode;
    active: boolean;
    style: object;
    className: string;
    outer: boolean;
    theme?: string;
    parentMenu?: ReactNode;
}
declare class SubMenu extends React.Component<SubMenuProps> {
    static isSubMenu: boolean;
    static defaultProps: {
        onTitleClick: () => void;
        onSelect: () => void;
        className: string;
        style: {};
    };
    renderInnerMenuItem: (item: React.ReactNode, i: number) => React.ReactNode;
    renderInnerMenu: () => JSX.Element;
    isShowIconOnly: () => boolean;
    renderVerticalMenu: () => JSX.Element[];
    renderInlineMenu: () => JSX.Element;
    render(): JSX.Element;
}
export default SubMenu;
