"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var Tab = function (_a) {
    var prefixCls = _a.prefixCls, label = _a.label, _b = _a.disabled, disabled = _b === void 0 ? false : _b, isSelect = _a.isSelect, onClick = _a.onClick, title = _a.title;
    var innerCls = classnames_1.default(prefixCls + "-pane-content", {
        'is-disabled': disabled,
        'is-selected': isSelect,
    });
    return (react_1.default.createElement("div", { onClick: onClick, className: prefixCls + "-pane" },
        react_1.default.createElement("span", { title: title, className: innerCls }, label)));
};
exports.default = Tab;
//# sourceMappingURL=Tab.js.map