"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var helper_1 = require("../_base/helper");
require("./style/index.scss");
function TooltipContentWrap(props) {
    var _a;
    var children = props.children, className = props.className, _b = props.theme, theme = _b === void 0 ? 'dark' : _b, dataPlacement = props.dataPlacement, others = __rest(props, ["children", "className", "theme", "dataPlacement"]);
    var contentClassName = classnames_1.default(helper_1.getClassName(['tooltip', "tooltip-" + theme, (_a = {}, _a["tooltip-" + dataPlacement] = dataPlacement, _a)]), className);
    return (react_1.default.createElement("div", __assign({}, others, { className: contentClassName }), children));
}
exports.default = TooltipContentWrap;
//# sourceMappingURL=contentWrap.js.map