# 更新日志

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).

---

## 0.7.10

- 修复 Table 组件在 firefox 浏览器下宽度不受控制的问题

## 0.7.9

- Table 组件继承 rc-table 所有 props

## 0.7.8

- 调整 Table 组件 td 的左右边距

## 0.7.6

- 传入 key 成为 Tab 被选定的高优先级条件

## 0.7.5

- 修改 Tabs 内容值，增加新的 title 属性
- 将 tab 触发回调索引值改为 key 优先

## 0.7.4

- 为 Table 组件增加空列表的自定义渲染

## 0.7.3

- 修改样式前缀为 oa-cuk

## 0.7.0

- 新增 Date Picker 组件
- 新增 Alert 组件
- icon 图标名称规范化，新增了图标分类
- 修改若干样式问题

## 0.6.1

- 修复 table、pagination 等样式问题
- 添加测试用例

## 0.6.0

- 添加 Radio 组件
- 添加 Icons 组件
- 优化测试流程

## 0.5.0

- 添加 Popup 基础组件
- 添加 Tooltips 组件
- 添加 Checkbox 组件
- 优化现有组件
- 引入测试工具

## 0.4.0

- 添加 Input 基础组件
- 添加 Button 基础组件
- 添加 Pagination 组件

## 0.3.1

- 修复 package.json dependencies 报错

## 0.3.0

- 添加 Modal 基础组件
- 添加 Drawer 组件
- 添加 Tabs 组件
- 修复依赖包问题

## 0.2.0

- 组件默认引入 css 文件，无需手动添加

## 0.1.1

- 添加`table`文档
- 修复`table`组件样式 bug
- 添加新 icon

## 0.1.0

- 新增基于现有业务逻辑封装的`Dropdown`组件
- 新增基于`rc-table`的`Table`组件

<style>
[class^='rsg--wrapper'] {
  display: none;
}
</style>
