"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var helper_1 = require("../_base/helper");
function ButtonGroup(props) {
    var children = props.children, className = props.className, style = props.style, size = props.size, empty = props.empty, type = props.type;
    var renderChild = function () {
        return react_1.default.Children.map(children, function (child) {
            if (!react_1.default.isValidElement(child)) {
                return child;
            }
            var childProps = { size: size, empty: empty, type: type || child.props.type };
            return react_1.default.cloneElement(child, __assign({}, childProps));
        });
    };
    return (react_1.default.createElement("span", { className: classnames_1.default(helper_1.getClassName('button-group'), className), style: style }, renderChild()));
}
exports.default = ButtonGroup;
//# sourceMappingURL=Group.js.map