"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var empty_1 = __importDefault(require("../empty"));
var _1 = require(".");
var renderEmpty = function (componentName) { return (react_1.default.createElement(_1.ConfigConsumer, null, function (_a) {
    var getPrefixCls = _a.getPrefixCls;
    var prefix = getPrefixCls('empty');
    switch (componentName) {
        case 'Table':
        case 'List':
            return react_1.default.createElement(empty_1.default, { image: empty_1.default.PRESENTED_IMAGE_SIMPLE });
        case 'Select':
        case 'TreeSelect':
        case 'Cascader':
        case 'Transfer':
        case 'Mentions':
            return react_1.default.createElement(empty_1.default, { image: empty_1.default.PRESENTED_IMAGE_SIMPLE, className: prefix + "-small" });
        default:
            return react_1.default.createElement(empty_1.default, null);
    }
})); };
exports.default = renderEmpty;
//# sourceMappingURL=renderEmpty.js.map