"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var SizeContext = react_1.default.createContext(undefined);
exports.SizeContextProvider = function (_a) {
    var children = _a.children, size = _a.size;
    return (react_1.default.createElement(SizeContext.Consumer, null, function (originSize) { return (react_1.default.createElement(SizeContext.Provider, { value: size || originSize }, children)); }));
};
exports.default = SizeContext;
//# sourceMappingURL=sizeContext.js.map