"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_test_renderer_1 = __importDefault(require("react-test-renderer"));
var enzyme_1 = require("enzyme");
var __1 = __importDefault(require(".."));
test('datePicker snapshot', function () {
    var component = react_test_renderer_1.default.create(react_1.default.createElement(__1.default, { defaultValue: "2020-01-19" }));
    var tree = component.toJSON();
    expect(tree).toMatchSnapshot();
});
describe('datePicker props', function () {
    it('Input value by format', function () {
        var wrapper = enzyme_1.mount(react_1.default.createElement(__1.default, { value: "2020-01-19", format: "YYYY/MM/DD" }));
        var current = wrapper
            .find('.oa-cuk-date-picker-input')
            .at(0)
            .props().value;
        expect(current).toBe('2020/01/19');
    });
});
//# sourceMappingURL=datePicker.test.js.map