/// <reference types="react" />
import { Dayjs } from 'dayjs';
import { PopupContentProps } from '../../_base/popup';
import I18n from '../utils/I18n';
import { TPanel } from './panelType';
interface IProps extends PopupContentProps {
    value: Dayjs;
    type?: TPanel;
    langData: typeof I18n.en;
    onChange: (value: Dayjs, needClose?: boolean) => void;
    onOk: () => void;
    disableDate?: (date: Dayjs) => boolean;
    showHours?: boolean;
    showMinutes?: boolean;
    showSeconds?: boolean;
}
export default function DatePanel(props: IProps): JSX.Element;
export {};
