import React from 'react';
export interface SearchInputProps {
    onSearch: (value: string) => void;
    placeholder?: string;
    clearOnPressEnter?: boolean;
}
declare class SearchInput extends React.Component<SearchInputProps> {
    static defaultProps: {
        placeholder: string;
        onSearch: () => void;
        clearOnPressEnter: boolean;
    };
    state: {
        value: string;
    };
    input: any;
    constructor(props: SearchInputProps);
    change(value: string): void;
    handleChange(value: string): void;
    handlePressEnter(): void;
    render(): JSX.Element;
}
export default SearchInput;
