"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var MenuItemGroup = /** @class */ (function (_super) {
    __extends(MenuItemGroup, _super);
    function MenuItemGroup(props) {
        var _this = _super.call(this, props) || this;
        _this.renderInnerMenuItem = _this.renderInnerMenuItem.bind(_this);
        return _this;
    }
    MenuItemGroup.prototype.renderInnerMenuItem = function (item, i) {
        var _a = this.props, renderItem = _a.renderItem, index = _a.index;
        return renderItem(item, i, index);
    };
    MenuItemGroup.prototype.render = function () {
        var _a;
        var _b = this.props, children = _b.children, title = _b.title, className = _b.className, style = _b.style;
        var classNames = classnames_1.default((_a = {
                'oa-cuk-menu-item-group': true,
                'oa-cuk-menu-item-group-outer': this.props.outer
            },
            _a[className] = className,
            _a));
        return (react_1.default.createElement("li", { className: classNames, style: style },
            react_1.default.createElement("div", { className: "oa-cuk-menu-item-group-title" }, title),
            react_1.default.createElement("ul", { className: "oa-cuk-menu-item-group-list" }, react_1.default.Children.map(children, this.renderInnerMenuItem))));
    };
    MenuItemGroup.defaultProps = {
        className: '',
        style: {},
    };
    return MenuItemGroup;
}(react_1.Component));
exports.default = MenuItemGroup;
//# sourceMappingURL=MenuItemGroup.js.map