"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var prop_types_1 = __importDefault(require("prop-types"));
var radio_1 = __importDefault(require("./radio"));
var config_context_1 = require("../config-context");
var RadioButton = /** @class */ (function (_super) {
    __extends(RadioButton, _super);
    function RadioButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.renderRadioButton = function (_a) {
            var getPrefixCls = _a.getPrefixCls;
            var _b = _this.props, customizePrefixCls = _b.prefixCls, radioProps = __rest(_b, ["prefixCls"]);
            var prefixCls = getPrefixCls('radio-button', customizePrefixCls);
            if (_this.context.radioGroup) {
                radioProps.checked = _this.props.value === _this.context.radioGroup.value;
                radioProps.disabled = _this.props.disabled || _this.context.radioGroup.disabled;
            }
            return react_1.default.createElement(radio_1.default, __assign({ prefixCls: prefixCls }, radioProps));
        };
        return _this;
    }
    RadioButton.prototype.render = function () {
        return react_1.default.createElement(config_context_1.ConfigConsumer, null, this.renderRadioButton);
    };
    RadioButton.contextTypes = {
        radioGroup: prop_types_1.default.any,
    };
    return RadioButton;
}(react_1.default.Component));
exports.default = RadioButton;
//# sourceMappingURL=radioButton.js.map